How to Enable Multiple PHP in NodeWorx and SiteWorx

Share this post...Tweet about this on TwitterShare on Google+0Share on Facebook0
InterWorx supports multiple PHP as of version 6.0.0.

Requirements:

In order to enable multiple PHP support in NodeWorx, the following is required:

  • InterWorx version 6.0.0+

Set Up:

To enable multiple PHP support in NodeWorx, follow these steps:

  1. On a server running at least InterWorx version 6.0.0, navigate to System Services > Webserver in the sidebar on the left
  2. Under the header Multiple PHP Versions, click the Enable button
  3. Check the boxes next to the PHP versions to be installed
  4. Click the Update button

Selecting the default PHP version:

This version will be pre-selected when creating new SiteWorx accounts. This controls the default value when using an API call that may not provide this input for creating a new SiteWorx Account.

To select the default PHP version for the server, follow these steps:

  1. From the Webserver page in NodeWorx, select the installed version of PHP to be the default on the server from the Default PHP Version dropdown menu
  2. Click the Update button

Enabling Specific PHP Version for SiteWorx Accounts

When creating a new SiteWorx account, a specific installed PHP version can be selected by following these steps:

  1. In NodeWorx, navigate to SiteWorx > Accounts
  2. Click the Add New SiteWorx Account button at the top of the page
  3. Select the PHP version to be used from the PHP Versions dropdown under PHP Options
  4. If SiteWorx account should have the ability to use other PHP versions than the server default, check the box next to all PHP versions that apply
  5. Click the Save button
Specific PHP versions can be selected for existing SiteWorx accounts by instead clicking the Edit button next to the account name in NodeWorx under SiteWorx > Accounts, and following the above steps 3-5.

 

Changing the Default PHP Version for a SiteWorx Account within SiteWorx

The Default PHP version for a SiteWorx account can be changed within SiteWorx by following these steps:

  1. Click the Change button next to the version listed on the SiteWorx Overview page
  2. Select the new default version
  3. Click the Save button

 

Changing the PHP Version For a Specific SiteWorx Domain

Specific PHP versions may be set for primary and secondary domains within SiteWorx. This can be achieved by following these steps:

  1. In SiteWorx, navigate to Hosting Features > Domains > PHP Options
  2. Click the Edit button next to the domain to be changed
  3. Select the PHP version to be used
  4. Click the Save button

multiple phpNodeWorxSiteWorx
Jun 21, 2017, 2:02 pmBy: InterWorx
How to Enable Multiple PHP in NodeWorx and SiteWorx
41 votes, 1.15 avg. rating (23% score)
(3) Comments
  1. osman: this is very old i dont see this option under web server any help?
    March 4, 2018 at 3:19 pm
    Reply
    • InterWorx: This option is available only on 6.0.x and 6.1.x. It also does not apply to servers running LiteSpeed as that is not compatible with our multiple PHP solution. If the multiple php option does not appear on the Webserver page, please submit a ticket to InterWorx support at https://support.interworx.com/ with login credentials for the server and they will be happy to assist. Thanks!
      March 20, 2018 at 2:43 pm
      Reply
  2. Amber Lynn: does this work across clusters already?
    November 12, 2017 at 3:27 pm
    Reply

Leave a Reply to Amber Lynn Cancel Reply

Your email address will not be published.

Comments

Broken Link